JavaUnresolvedConstant subclass:#JavaUnresolvedStringConstant
	instanceVariableNames:'stringIndex'
	classVariableNames:''
	poolDictionaries:''
	category:'Java-Reader-Support'
!


!JavaUnresolvedStringConstant class methodsFor:'instance creation'!

pool:aPool poolIndex:index stringIndex:stringIndex
    ^ self new 
        pool:aPool poolIndex:index stringIndex:stringIndex


! !

!JavaUnresolvedStringConstant methodsFor:'accessing'!

pool:aPool poolIndex:i stringIndex:string_index
    constantPool := aPool.
    constantPoolIndex := i.
    stringIndex := string_index.

! !

!JavaUnresolvedStringConstant methodsFor:'resolving'!

preResolve
    |jString chars|

    Java java_lang_String notNil ifTrue:[
        chars := (constantPool at:stringIndex).
        chars isString ifFalse:[
            self halt:'should not happen'
        ].
        jString := JavaObject javaStringFrom:chars.

"/constantPool owner == (Java at:'java/awt/Container') ifTrue:[
"/self halt
"/].

        constantPool at:constantPoolIndex put:jString.
        ^ jString.
    ].

    self rememberForResolveWith:'java/lang/String'.
    ^ self

    "Modified: 26.3.1997 / 13:44:12 / cg"
! !

!JavaUnresolvedStringConstant class methodsFor:'documentation'!

version
    ^ '$Header: /home/jv/Projects/SmalltalkX/repositories/cvs/stx/libjava/JavaUnresolvedStringConstant.st,v 1.5 1997/03/26 17:24:11 cg Exp $'
! !
